# TdApi.AddChatMembers (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AddChatMembers

Package it.tdlight.jni

# Class TdApi.AddChatMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AddChatMembers

Enclosing class:
  TdApi

    public static class TdApi.AddChatMembers
    extends TdApi.Function

Adds multiple new members to a chat. Currently this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`long[]` | `userIds` | Identifiers of the users to be added to the chat.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AddChatMembers()` | Adds multiple new members to a chat.
`AddChatMembers​(long chatId, long[] userIds)` | Adds multiple new members to a chat.
`AddChatMembers​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### userIds

public long[] userIds
Identifiers of the users to be added to the chat. The maximum number of added users is 20 for supergroups and 100 for channels.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AddChatMembers

public AddChatMembers()
Adds multiple new members to a chat. Currently this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members.

Returns `Ok`

### AddChatMembers

public AddChatMembers​(long chatId, long[] userIds)
Adds multiple new members to a chat. Currently this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `userIds` - long[] Identifiers of the users to be added to the chat. The maximum number of added users is 20 for supergroups and 100 for channels.

### AddChatMembers

public AddChatMembers​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`